Closed Bug 460457 Opened 11 years ago Closed 11 years ago

Adding new compatible application fails when it's the first one

Categories

(addons.mozilla.org Graveyard :: Developer Pages, defect, major)

defect
Not set
major

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: wenzel, Assigned: fligtar)

References

Details

Attachments

(2 files)

Attached image Screenshot
Seen in bug 460442: When a version is not marked compatible with any applications (say, you deleted them all), trying to add a new one won't work.

It will only let you choose the name, not a version, and there's no button to actually add it to the list (see attachment).

It's likely a JS error, the error console reads:
"Error: imageBase is undefined
Source File: https://addons.mozilla.org/js/developers.js
Line: 379"
Attached patch patch, v1Splinter Review
Assignee: nobody → fligtar
Status: NEW → ASSIGNED
Attachment #343586 - Flags: review?(fwenzel)
Comment on attachment 343586 [details] [diff] [review]
patch, v1

Yup, that fixes it.
Attachment #343586 - Flags: review?(fwenzel) → review+
r19377.
Status: ASSIGNED → RESOLVED
Closed: 11 years ago
Keywords: push-needed
Resolution: --- → FIXED
Target Milestone: --- → 3.5
Keywords: push-needed
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.